> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flipsuite.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balance

> Get point system balance of one or more users



## OpenAPI

````yaml GET /v1/community/points/{pointSystemId}/balance
openapi: 3.1.0
info:
  version: 1.0.0
  title: Flipsuite API
servers:
  - url: https://api.flipsuite.xyz
security: []
paths:
  /v1/community/points/{pointSystemId}/balance:
    get:
      description: Get point system balance of one or more users
      parameters:
        - in: header
          name: x-api-key
          schema:
            $ref: '#/components/schemas/__schema0'
          required: true
          description: Your community API key
        - in: path
          name: pointSystemId
          schema:
            description: ID of a point system
            type: string
          required: true
          description: ID of a point system
        - in: query
          name: platform
          schema:
            description: Platform to get balances for
            default: discord
            type: string
            const: discord
          description: Platform to get balances for
        - in: query
          name: userIds
          schema:
            description: Specific user IDs to get balances for
            type: array
            items:
              type: string
          description: Specific user IDs to get balances for
        - in: query
          name: offset
          schema:
            default: 0
            type: number
            minimum: 0
        - in: query
          name: limit
          schema:
            default: 20
            type: number
            minimum: 0
            maximum: 100
        - in: query
          name: sortBy
          schema:
            description: Sort direction
            default: balance-desc
            type: string
            enum:
              - balance-desc
              - balance-asc
          description: Sort direction
      responses:
        '200':
          description: Balances have been retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    description: Point system balances
                    type: array
                    items:
                      example:
                        platform: discord
                        userId: '328218133074804739'
                        balance: 100
                      type: object
                      properties:
                        platform:
                          type: string
                          const: discord
                        userId:
                          type: string
                        balance:
                          type: number
                      required:
                        - platform
                        - userId
                        - balance
                      additionalProperties: false
                  pagination:
                    $ref: '#/components/schemas/__schema14'
                    description: Pagination metadata
                required:
                  - data
                  - pagination
                additionalProperties: false
components:
  schemas:
    __schema0:
      description: Your community API key
      type: string
    __schema14:
      type: object
      properties:
        offset:
          description: Offset used by the query
          type: number
        limit:
          description: Limit used by the query
          type: number
        total:
          description: Total items matching the query
          type: number
        count:
          description: Total items included in the response
          type: number
      required:
        - offset
        - limit
        - total
        - count
      additionalProperties: false

````